Summary:        On-the-fly spell checking for GtkTextView widgets
Name:           gtkspell3
Version:        3.0.10
Release:        7%{?dist}
License:        GPL-2.0-or-later
URL:            https://gtkspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/gtkspell/gtkspell3-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  enchant2-devel gettext intltool
BuildRequires:  gobject-introspection-devel gtk3-devel
BuildRequires:  iso-codes-devel vala iso-codes


%description
This package provides word-processor-style highlighting and replacement of misspelled words 
in a GtkTextView widget as you type. Right-clicking a misspelled word pops up a menu of 
suggested replacements.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use GtkSpell 
API version 3.0.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-vala --enable-gtk-doc=no
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang gtkspell3


%files -f gtkspell3.lang
%license COPYING
%doc AUTHORS README
%{_libdir}/girepository-1.0/GtkSpell-3.0.typelib
%{_libdir}/libgtkspell3-3.so.*

%files devel
%doc %{_datadir}/gtk-doc/
%{_includedir}/gtkspell-3.0/
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi
%{_datadir}/vala/vapi/gtkspell3-3.0.deps


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.10-4
- Rebuilt for enchant2 2.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.10-1
- initial build
